Package org.jboss.logmanager

## Interface Configurator

All Known Implementing Classes:
  `PropertyConfigurator`

    public interface Configurator

A configurator for a log manager or context.

### Field Summary

Fields
`static Logger.AttachmentKey<Configurator>` `ATTACHMENT_KEY` The attachment key of the chosen configurator, used to maintain a strong ref to any configured properties.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `configure​(java.io.InputStream inputStream)` Configure the logmanager.

### Field Detail

#### ATTACHMENT_KEY

    static final Logger.AttachmentKey<Configurator> ATTACHMENT_KEY

The attachment key of the chosen configurator, used to maintain a strong ref to any configured properties.

### Method Detail

#### configure

    void configure​(java.io.InputStream inputStream)
            throws java.io.IOException

Configure the logmanager.

Parameters:
  `inputStream` - the input stream to read
Throws:
  `java.io.IOException` - if an error occurs